body {
  margin: 0px;
  padding: 0px;
  overflow-x: hidden;
  font-family: "Montserrat", sans-serif !important;
}

a {
  text-decoration: none !important;
}

.theme_bg_colour {
  background: #000 !important;
  color: #fff !important;
}

.password_check_list ul li {
  color: #000;
}

.theme_bg_primary_colour {
  background: #3e82c92b !important;
  color: #000 !important;
  border: 1px solid #7fabdb1f !important;
}


.modal .modal-content {
  /* border: 1px solid #212121; */
}

.modal {
  backdrop-filter: blur(3px);
}

.modal .modal-header {
  background: #82b2e7;
  border-bottom: 1px solid #82b2e7;
  justify-content: space-between;
  margin: -1px;
  padding: 12px;
}

.modal .modal-header .modal-title {
  color: #fff;
  font-size: 24px;
}

.form-control:focus {
  box-shadow: none !important;
}

.form-control::placeholder {
  font-size: 12px !important;
}

.para_text {
  color: #000 !important;
}

.para_secondary_text {
  color: #000 !important;
}

.heading_text {
  font-size: 26px;
  font-weight: 600;
  color: rgb(22, 22, 61) !important;
  margin-top: 10px;
  margin-bottom: 25px;
  text-align: start;
  position: relative;
}

.dropdown-menu.show {
  display: block;
  width: 240px;
  border: 1px solid #3a3a3a !important;
  z-index: 9;
}

.swiper-pagination-bullet-active {
  background: #3e82c9 !important;
}

.form-check-input[type="radio"] {
  border-radius: 50% !important;
}

.form-check-input[type="checkbox"] {
  border-radius: 0% !important;
}

.form-check-input:checked {
  background-color: #3e82c9 !important;
  border-color: #3e82c9 !important;
}

.form-check-input:focus {
  box-shadow: none !important;
}

.no_product_available_holder {
  /* box-shadow: 0px 3px 6px #00000029; */
  padding: 40px 5px;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.no_product_available_holder h3 {
  text-align: center;
  font-size: 20px;
  font-weight: 600;
  color: #707070;
  margin-bottom: 0px;
}

.text-danger {
  font-weight: 500 !important;
  font-size: 14px;
}

.modal-header .btn-close {
  filter: invert(1);
}

.primary_theme_bg_colour {
  background: #02542f !important;
}

.new_price_holder .price_inner_text {
  color: #000;
  font-size: 15px;
  margin-bottom: 5px;
  text-align: right;
  font-weight: 500;
}

.new_price_holder .price_inner_text .right_label {
  color: #020202;
  font-weight: 600;
}

.mobile_view_holder {
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin: 5px 0px 10px;
}

.mobile_view_holder .mobile_product_card {
  background: #fff;
  border: 1px solid #e9ecef;
  border-radius: 12px;
  padding: 12px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
  margin-bottom: 5px;
}

.mobile_view_holder .mobile_product_card .order_holder {
  display: flex;
  align-items: flex-start;
}


.mobile_view_holder .mobile_product_card .img_holder {
    width: 70px;
    aspect-ratio: 1;
    overflow: hidden;
    border-radius: 8px;
    height: 70px;
    margin: auto;
    margin-right: 10px;
    background: #efefef;
}

.mobile_view_holder .mobile_product_card .img_holder .Product_img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.mobile_view_holder .mobile_product_card .product_name {
  font-size: 14px;
  font-weight: 600;
  line-height: 1.4;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.mobile_view_holder .mobile_product_card p {
  font-size: 13px;
  color: #555;
}

.mobile_view_holder .mobile_product_card .price_details p {
  color: #000;

}

.mobile_view_holder .mobile_product_card .new {
  color: #000;
  font-size: 13px;
}

.mobile_view_holder .mobile_product_card .descn_holder {
  display: flex;
  align-items: start;
  justify-content: space-between;
  flex-direction: column;
}

.mobile_view_holder .mobile_product_card .descn_holder .price_details {
  text-align: right;
}

.mobile_view_holder .mobile_product_card .descn_holder .left_div {
  width: 100%;
}

.pagination_holder button {
  background-color: #fff;
  border: none;
  width: 30px;
  height: 30px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 50%;
  transition: background 0.2s ease;
  color: #000000;
}

.pagination_holder button:hover:not(.active) {
  background-color: #ddd;
}

.pagination_holder button.active {
  font-weight: 600;
  text-decoration: underline;
  color: #fff;
  /* border-bottom: 2px solid #000000; */
  border-radius: 0px;
  background: #3e82c9;
}

.pagination_holder button:disabled {
  cursor: not-allowed;
}

.error__feedback {
  color: rgb(197 27 27);
  font-size: 13px;
  margin-top: 5px;
  font-weight: 400;
}

@media (min-width: 0px) and (max-width: 767.98px) {
  .heading_text {
    margin-bottom: 15px;
  }

  .heading_text {
    font-size: 15px !important;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .mobile_view_holder .mobile_product_card .img_holder {
    width: 90px;
    height: 90px;
  }

  .mobile_view_holder .mobile_product_card .descn_holder .left_div {
    width: 100%;
  }

  .mobile_view_holder .mobile_product_card .descn_holder .price_details {
    text-align: left;
  }

  .mobile_view_holder .mobile_product_card .descn_holder {
    flex-direction: column;
  }
}

@media (min-width: 0px) and (max-width: 991px) {
  .heading_text {
    font-size: 20px;
  }

  .no_product_available_holder h3 {
    font-size: 15px;
  }

  .modal .modal-header .modal-title {
    font-size: 15px;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .heading_text {
    font-size: 25px;
  }

  .new_price_holder .price_inner_text {
    font-size: 14px;
  }
}